Bug Hunting Session
Bug 67040 - resizable autocorrect replacement table dialog
Summary: resizable autocorrect replacement table dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-07-18 12:55 UTC by tommy27
Modified: 2015-12-16 00:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
current LibO autocorrect replacement table (140.64 KB, image/jpeg)
2013-07-18 12:55 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2013-07-18 12:55:22 UTC
Created attachment 82595 [details]
current LibO autocorrect replacement table

this is an enhancement request and affects any official OOo/AOO/LibO release up to date (last tested is LibO 4.0.4.2)

the autocorrect replacement table dialog which shows up after clicking "Tools/Autocorrect Option/Replace" has a fix size and cannot be resized.
moreover the "Replace" field is shorter than the "with" field.
see attached screenhot.

I think that a resizable window, both in widht and lenght, just like the "print" dialog would improve user experience.

moreover I would enlarge the width of the "Replace" field to make it at least long as the "with field"
Comment 1 Caolán McNamara 2013-07-19 08:45:57 UTC
Resizibility of the full dialog comes when all tabs are converted to new widget layout. In this case in master only two of the five autocorrect tabs are converted so the remaining three need to be converted over. 

But the tab page with the "with" and "replace" widgets *is* converted so it is a trivial matter to make those the same size now with glade cui/uiconfig/ui/acorreplacepage.ui
Comment 2 Björn Michaelsen 2013-10-04 18:47:07 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 tommy27 2014-01-26 08:02:02 UTC
(In reply to comment #0)
>
> ....
> 
> moreover I would enlarge the width of the "Replace" field to make it at
> least long as the "with field"

filed this as a separate enhancement request. see Bug 74070.
Comment 4 tommy27 2014-10-10 00:33:48 UTC
retested under Win7x64 
this is actually fixed in the 4.3.x and 4.4.x branches

https://wiki.documentfoundation.org/ReleaseNotes/4.4#Dialogs_conversion_to_WidgetLayout_finished

thank Caolan
Comment 5 tommy27 2014-11-14 22:23:08 UTC
oppsss... Coalan, something is gone wrong in 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-12_00:19:18

the autocorrect replacement table is not resizable anymore unlike previous alpha1 version.

can you please double check and if confirmed set the status to REOPENED?
Comment 6 Adolfo Jayme 2014-11-15 03:25:07 UTC
I’ve disabled resizing in many dialogs. I would like to know why you need to resize this one in particular. Perhaps what you need is a scrollbar?
Comment 7 tommy27 2014-11-15 05:53:14 UTC
@Adolfo
horizontal enlarging is fundamental when you deal with very long autocorrect replacements that are possibile thanks to this other old fix:
Bug 64652 - allow autocorrect entries longer than 30 digits

moreover vertical enlarging is useful when you want to have a wider overview of the entries that you already stored

a scrollbar would only make you scroll but you would see always the same amount of entries at a time.

so please, enable resizing again at least for autocorrect where a resizable window has been specifically requested in this bug report.
Comment 8 Commit Notification 2014-11-15 15:38:19 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8b07093f104ff4297f6a2bfbc363fd640374f18

fdo#67040 There’s a valid use case to enable manual resizing in this dialog

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-16 00:31:20 UTC Comment hidden (obsolete)